MAKE-JPKG(1)

NAME
make-jpkg - builds Debian packages from Java binary distributions

SYNOPSIS
make-jpkg [OPTION]... [FILE]

DESCRIPTION

make-jpkg builds a Debian package from the given Java distribution FILE.

Supported java binary distributions currently include:
  * Oracle (http://www.oracle.com/technetwork/java/javase/downloads) :
    - The Java Development Kit (JDK), version 6, 7 and 8
    - The Java Runtime Environment (JRE), version 6, 7 and 8
    - The Java API Javadoc, version 6, 7 and 8
  (Choose tar.gz archives or self-extracting archives, do _not_ choose the RPM!)

The following options are recognized:

--full-name NAME
    full name used in the maintainer field of the package

--email EMAIL
    email address used in the maintainer field of the package

--distribution DISTRIBUTION
    distribution to use in the debian changelog for the resulting package

--priority PRIORITY
    numeric priority for use by update-alternatives. This overrides the default priority, which is intentionally lower than that of the Debian-provided OpenJDK packages. Only use this option if the generated package should be considered higher priority by update-alternatives.

--changes
    create a .changes file

--revision
    add debian revision

--source
    build a source package instead of a binary deb package

--with-system-certs
    Replace the JVMs keystore with a softlink to the system's keystore, (/etc/ssl/certs/java/cacerts) which is managed automatically by the ca-certificates and ca-certificates-java packages.

--jce-policy JCE_POLICY_FILE
    Replace cryptography files with versions from the specified JCE_POLICY_FILE.

--help
    display help text and exit

--version
    output version information and exit

Download a supported JRE, JDK, API tar.gz or self-extracting archive from http://www.oracle.com/technetwork/java/javase/downloads and execute make-jpkg file with the downloaded file. The program asks the user for additional information and builds a Debian binary package in the current directory.

The program requires about 400 MB free disk space in a temporary directory. The temporary directory defaults to /tmp but you can specify an alternate directory by setting the environment variable TMPDIR.

EXAMPLE
To install Oracle(TM) 8 Standard Edition JDK, download a release from http://www.oracle.com/technetwork/java/javase/downloads/jdk8-downloads-2133151.html and invoke make-jpkg, for example:

    make-jpkg <path_to_download_directory>/jdk-8u102-linux-x64.tar.gz

This generate a Debian package in the current directory, that can be installed using dpkg:

    dpkg -i oracle-java8-jdk_8u102_amd64.deb

When you're done, you can delete initial download as well as generated package:

    rm <path_to_download_directory>/jdk-8u102-linux-x64.tar.gz oracle-java8-jdk_8u102_amd64.deb

ENVIRONMENT

TMPDIR
    base directory used for temporary files (defaults to /tmp)

J2SE_PACKAGE_FULL_NAME
    full name used in the maintainer field of the package; if none is supplied then the default of "Debian Java Maintainers" is used.

J2SE_PACKAGE_EMAIL
    email address used in the maintainer field of the package; if none is supplied the default of "pkg-java-maintainers@lists.alioth.debian.org" is used.

SEE ALSO
update-java-alternatives(1)

AUTHOR
This manual page was written by Hubert Schmid <j2se-package@z42.de>. It is now maintained by the Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>.